package sun.awt;

import java.util.Locale;
import java.awt.Window;
import sun.awt.im.InputContext;
import java.awt.AWTException;
import java.awt.im.spi.InputMethodDescriptor;

public interface InputMethodSupport
{
    public abstract InputMethodDescriptor getInputMethodAdapterDescriptor() throws AWTException;
    
    public abstract Window createInputMethodWindow(String p0, InputContext p1);
    
    public abstract boolean enableInputMethodsForTextComponent();
    
    public abstract Locale getDefaultKeyboardLocale();
}
